<?php

namespace App\ViewModels\Pagamento\PagamentoComandaFormaPagamentoRegistrationViewModel;

use App\Utils\Builder;

class FormaPagamentoDinheiroViewModelBuilder implements Builder {
	protected $valor;
	protected $troco;

	public function build(): FormaPagamentoDinheiroViewModel {

		$formaPagamentoDinheiro_vm = new FormaPagamentoDinheiroViewModel();
		$formaPagamentoDinheiro_vm->setValor( $this->valor ?? 0.00);
		$formaPagamentoDinheiro_vm->setTroco( $this->troco ?? 0.00);

		return $formaPagamentoDinheiro_vm;

	}

	/**
	 *
	 * @param mixed $valor
	 */
	public function setValor($valor) {

		$this->valor = $valor;
		return $this;

	}

	/**
	 *
	 * @param mixed $troco
	 */
	public function setTroco($troco) {

		$this->troco = $troco;
		return $this;

	}

}

